
Redmine - Defect #12735

Negative duration allowed

2013-01-04 14:30 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 2.2.0

Description

Redmine allows the user to define a negative duration for a ticket.

See attachment.

Related issues:

Related to Redmine - Patch #12737: Patch for negative duration #12735 Closed

Associated revisions

Revision 11125 - 2013-01-05 17:34 - Jean-Philippe Lang

Negative estimated hours should not be valid (#12735).

History

#1 - 2013-01-05 17:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 2.3.0

- Affected version (unused) changed from devel to 2.2.0

- Resolution set to Fixed

- Affected version set to 2.2.0

I've implemented the validation using Rail's builtin helpers in r11125.

#2 - 2013-01-10 12:51 - Bruno Medeiros

Shouldn't it be backported to 2.2.2?

Files

negativeDuration.png 13.6 KB 2013-01-04 Daniel Felix
